#
# spec file for package release-notes-uyuni-proxy
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
%global debug_package %{nil}

%if 0%{?suse_version}
%define www_path /srv/www/htdocs
%else
%define www_path %{_var}/www/html
%endif

URL:            https://www.uyuni-project.org

Name:           release-notes-uyuni-proxy
Summary:        Release Notes for Uyuni Proxy
License:        CC-BY-SA-3.0
Group:          Documentation/SUSE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       release-notes = %{version}
Provides:       release-notes-susemanager-proxy
Obsoletes:      release-notes < %{version}
Version:        2023.04
Release:        0.220400.16.1.uyuni2
Source:         %{name}.tar.bz2
Source1:        filename-too-long-for-joliet.rpmlintrc
BuildRequires:  w3m
BuildRequires:  fdupes
BuildArch:      noarch

%description
This package contains files with the most important changes for this
Uyuni Proxy release. They can be found in the
%{_datadir}/doc/release-notes directory.

%prep
%setup -n %{name}

%build
w3m -dump doc/release-notes-uyuni-proxy.html > RELEASE-NOTES.en.txt

%install
rnpath="${RPM_BUILD_ROOT}"%{_datadir}/doc/release-notes/Uyuni_Proxy
rnpath_html="${RPM_BUILD_ROOT}"%{www_path}/docs/en/release-notes/
mkdir -p "$rnpath"
mkdir -p "$rnpath_html"

# rtf used by yast GUI
cp doc/release-notes-uyuni-proxy.html "$rnpath"/RELEASE-NOTES.en.rtf
# txt used by yast ncurses
cp RELEASE-NOTES.en.txt "$rnpath"/RELEASE-NOTES.en.txt
# html used by Uyuni
cp doc/release-notes-uyuni-proxy.html "$rnpath"/RELEASE-NOTES.en.html
cp doc/release-notes-uyuni-proxy.html  "$rnpath_html"/release-notes-proxy.html

%fdupes $rnpath
%fdupes $rnpath_html

%files
%defattr (-,root,root,-)
%doc %{_datadir}/doc/release-notes
%dir %{www_path}/docs
%dir %{www_path}/docs/en
%{www_path}/docs/en/release-notes

%changelog
* Tue Apr 18 2023 Marina Latini <marina.latini@suse.com>
- Update to Uyuni 2023.04
* Mon Mar 13 2023 Marina Latini <marina.latini@suse.com>
- SPEC file cleanup and rpmlint fixes
  * Added: filename-too-long-for-joliet.rpmlintrc
* Wed Mar  1 2023 Julio González Gil <jgonzalez@suse.com>
- Update to 2023.03
* Mon Jan 30 2023 Julio González Gil <jgonzalez@suse.com>
- Update to 2023.01
* Mon Dec 19 2022 Julio González Gil <jgonzalez@suse.com>
- Update to 2022.12
* Mon Nov 21 2022 Julio González Gil <jgonzalez@suse.com>
- Update to 2022.11
* Thu Oct 13 2022 Julio González Gil <jgonzalez@suse.com>
- Update to 2022.10
* Tue Aug  9 2022 Julio González Gil <jgonzalez@suse.com>
- Update to 2022.08
* Fri Jun 24 2022 Julio González Gil <jgonzalez@suse.com>
- Update to 2022.06
* Mon May  9 2022 Julio González Gil <jgonzalez@suse.com>
- Update to 2022.05
* Thu Apr 28 2022 Julio González Gil <jgonzalez@suse.com>
- Update to 2022.04
* Wed Mar 30 2022 Julio González Gil <jgonzalez@suse.com>
- Update to 2022.03
* Thu Mar 10 2022 Dominik Gedon <dominik.gedon@suse.com>
- Expose release notes to www_path
* Fri Feb 25 2022 Julio González Gil <jgonzalez@suse.com>
- Update to 2022.02
* Wed Jan 26 2022 Julio González Gil <jgonzalez@suse.com>
- Update to 2022.01
* Thu Dec  9 2021 Julio González Gil <jgonzalez@suse.com>
- Update to 2021.12
* Tue Sep 21 2021 Julio González Gil <jgonzalez@suse.com>
- Update to 2021.09
* Fri Aug 13 2021 Julio González Gil <jgonzalez@suse.com>
- Update to 2021.08
* Thu Jun 24 2021 Julio González Gil <jgonzalez@suse.com>
- Update to 2021.06
* Mon May 24 2021 Julio González Gil <jgonzalez@suse.com>
- Update to 2021.05
* Mon Apr 19 2021 Julio González Gil <jgonzalez@suse.com>
- Update to 2021.04
* Fri Feb 26 2021 Julio González Gil <jgonzalez@suse.com>
- Update to 2021.02
* Mon Feb  8 2021 Stefan Bluhm <stefan.bluhm@clacee.eu>
- Disabled debug package build (fails on CentOS8)
* Mon Feb  1 2021 Julio González Gil <jgonzalez@suse.com>
- Update to 2021.01
* Mon Nov 23 2020 Julio González Gil <jgonzalez@suse.com>
- Update to 2020.11
* Mon Sep 21 2020 Julio González Gil <jgonzalez@suse.com>
- Update to 2020.09
* Thu Jul 23 2020 Julio González Gil <jgonzalez@suse.com>
- Update to 2020.07
* Mon Jun 15 2020 Julio González Gil <jgonzalez@suse.com>
- Update to 2020.06
* Thu May 21 2020 Julio González Gil <jgonzalez@suse.com>
- Update to 2020.05
* Wed Apr 15 2020 Julio González Gil <jgonzalez@suse.com>
- Update to 2020.04
* Thu Mar 19 2020 Julio González Gil <jgonzalez@suse.com>
- Update to 2020.03
* Thu Jan 30 2020 Julio González Gil <jgonzalez@suse.com>
- Update to 2020.01
* Sun Jul 28 2019 Julio González Gil <jgonzalez@suse.com>
- Update 4.0.2
* Fri Apr 26 2019 Julio González Gil <jgonzalez@suse.com>
- Fix wrong bugzilla entry at changelog
* Thu Apr  4 2019 Michael Calmer <mc@suse.com>
- change location of release notes for displaying in the Web UI
* Tue Dec 18 2018 jgonzalez@suse.com
- Update to 4.0.1
* Mon Aug 13 2018 jgonzalez@suse.com
- Update to 4.0.0 (bsc#1104034)
* Thu May 31 2018 jgonzalez@suse.com
- Change branding to Uyuni
* Wed May 23 2018 jgonzalez@suse.com
- Update to 3.1.99~RC1
* Fri Apr 27 2018 kkaempf@suse.com
- Update to 3.1.99~Beta3
* Tue Apr  3 2018 kkaempf@suse.com
- Update to 3.1.99~Beta2
* Mon Mar  5 2018 kkaempf@suse.com
- Update to 3.1.99~Beta1
* Fri Feb  2 2018 kkaempf@suse.com
- Update to 3.1.4
- New features
  - Support Proxies with multiple FQDNs
- Bugs mentioned
  bsc#1022078, bsc#1055296, bsc#1063419, bsc#1071526, bsc#1073482
  bsc#1073619, bsc#1075044
* Wed Dec  6 2017 kkaempf@suse.com
- Update to 3.1.3
- Bugs mentioned
  bsc#971785, bsc#1025201, bsc#1036254, bsc#1050433, bsc#1054424
  bsc#1055292, bsc#1057542, bsc#1057599, bsc#1058128, bsc#1058323
  bsc#1059998, bsc#1060022, bsc#1060182, bsc#1061245, bsc#1061563
  bsc#1061596, bsc#1062972, bsc#1063419, bsc#1063805, bsc#1064393
  bsc#1067509
* Tue Sep 19 2017 kkaempf@suse.com
- Update to 3.1.2
- New features
  * SLES 12 SP3 migration enabled
- Bugs mentioned
  bsc#1026930, bsc#1048694, bsc#1048762, bsc#1050399, bsc#1057126
* Tue Aug  8 2017 kkaempf@suse.com
- Update to 3.1.1
- Bugs mentioned
  bsc#1031143, bsc#1032324, bsc#1036260, bsc#1038321, bsc#1039913
  bsc#1043831, bsc#1047513, bsc#1049936, bsc#1052039
* Tue Jun 13 2017 kkaempf@suse.com
- Update to 3.1.0 (final)
* Mon May 29 2017 kkaempf@suse.com
- Update to 3.1.0~rc1
* Thu May  4 2017 kkaempf@suse.com
- Update to 3.1.0~beta3
* Fri Mar 31 2017 kkaempf@suse.com
- Update to 3.1.0~beta2
* Tue Feb 14 2017 kkaempf@suse.com
- Update to 3.0.4
- Bugs mentioned
  * bsc#993209,  bsc#1000110, bsc#1012787, bsc#1015136, bsc#1015967
    bsc#1017078, bsc#1017094, bsc#1019360, bsc#1020027, bsc#1020902
    bsc#1022735
* Tue Jan  3 2017 kkaempf@suse.com
- Update to 3.1.0~alpha1
* Mon Dec 19 2016 kkaempf@suse.com
- Update to 3.0.3
- New features
  * 'Live patching' support
- Bugs mentioned
  + bsc#967818, bsc#970460, bsc#980752, bsc#986447, bsc#989905,
    bsc#995764, bsc#996609, bsc#1005924, bsc#1007261, bsc#1008221,
    bsc#1009004, bsc#1009435, bsc#1009677, bsc#1009749, bsc#1011344,
    bsc#1012613, bsc#1012761, bsc#1013002, bsc#1015122
* Tue Oct 25 2016 kkaempf@suse.com
- Update to 3.0.1
- New features
  * new versioning scheme
  * support for Salt minions
  * Salt on expanded support platform
- Bugs mentioned
  * bsc#980678, bsc#986447, bsc#986770, bsc#989701, bsc#990029
    bsc#990202, bsc#990439, bsc#990440, bsc#990738, bsc#991048
    bsc#992987, bsc#993039, bsc#993549, bsc#994578, bsc#994619
    bsc#996455, bsc#998185, bsc#1001361, bsc#1002529, bsc#1003123
* Tue Apr  5 2016 kkaempf@suse.com
- Update for SUSE Manager 3 GMC
* Fri Oct 23 2015 kkaempf@suse.com
- Rewrite for SUSE Manager 3
- License changed to GFDL-1.2 or CC-BY-SA-3.0
* Thu Jan 22 2015 mc@suse.de
- adapt for SUSE Manager 3
* Mon Jun  2 2014 dmacvicar@suse.de
- cleanup html by generating from txt2tags markup
* Wed May 28 2014 dmacvicar@suse.de
- cleaned up html links
* Wed May 28 2014 kkaempf@suse.com
- changes after review
* Mon May 19 2014 kkaempf@suse.com
- final touches for release
* Fri Sep 27 2013 mc@suse.de
- set version to 2.1.0
* Tue Aug 14 2012 kkaempf@suse.com
- reviewed
* Fri Aug 10 2012 kkaempf@suse.com
- updated for 1.7 release
* Sat Apr 14 2012 mc@suse.de
- set version to 1.7.0
* Thu Mar 24 2011 kkaempf@novell.com
- final release notes for Proxy
* Thu Mar 17 2011 dmacvicar@suse.de
- initial release notes package
